Summary: 	Fullscreen gesture and alphabet recognition
Name: 		xstroke
Version: 	0.6.cvs20040921
Release: 	%mkrel 12
Url: 		http://cworth.org/~cworth/papers/xstroke/	
License: 	GPLv2+
Group: 		Accessibility
Source: 	%{name}-%{version}.tar.bz2
Patch0:		xstroke-0.6-link.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	imagemagick

%description
XStroke is a full-screen gesture recognition program for the X Window
System. It captures gestures performed with a pointer device, (such as a
mouse, a stylus, or a pen/tablet), recognizes the gestures and performs
actions based on the gestures. xstroke has been developed on Linux systems,
(i386 and StrongARM), but should be quite portable to any reasonable
system with X.

%prep
%setup -q -n %{name}-0.6
%autopatch -p1

%build
%configure
%make

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Name=XStroke
Comment=Fullscreen gesture recognition
Icon=%{name}
Categories=Utility;Accessibility;
EOF

mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}_inactive.xpm %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 %{name}_inactive.xpm %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}_inactive.xpm %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.6.cvs20040921-12.mga8
+ Revision: 1518958
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.cvs20040921-11.mga7
+ Revision: 1301987
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.6.cvs20040921-10.mga6
+ Revision: 932401
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.cvs20040921-9.mga5
+ Revision: 742101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.cvs20040921-8.mga5
+ Revision: 690787
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.cvs20040921-7.mga4
+ Revision: 520867
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.cvs20040921-6.mga3
+ Revision: 387423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.6.cvs20040921-5.mga3
+ Revision: 328112
- more link fix
- more link fix
- more linkage
- real fix
- fix linkage

* Thu Sep 29 2011 fwang <fwang> 0.6.cvs20040921-5.mga2
+ Revision: 150331
- tighten br

* Sun Apr 10 2011 dmorgan <dmorgan> 0.6.cvs20040921-5.mga1
+ Revision: 82988
- Remove mdv macros
- imported package xstroke


* Sat May 16 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.cvs20040921-5mdv2010.0
+ Revision: 376497
- fix URL
- fix license

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.cvs20040921-4mdv2009.0
+ Revision: 262733
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.cvs20040921-3mdv2009.0
+ Revision: 257781
- rebuild
- fix 'error: for key "Icon" in group "Desktop Entry" is an icon name with an
  extension, but there should be no extension as described in the Icon Theme
  Specification if the value is not an absolute path'
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6.cvs20040921-1mdv2008.1
+ Revision: 120014
- auto convert menu to XDG
- buildrequires X11-devel instead of XFree86-devel
- use %%mkrel
- import xstroke


* Tue Sep 21 2004 Austin Acton <austin@mandrake.org> 0.6.cvs20040921-1mdk
- initial build

